Package org.firebirdsql.gds.impl.wire

## Class WireGDSFactoryPlugin

- java.lang.Object
- - org.firebirdsql.gds.impl.BaseGDSFactoryPlugin
  - - org.firebirdsql.gds.impl.wire.WireGDSFactoryPlugin

- All Implemented Interfaces:
    `GDSFactoryPlugin`

      public class WireGDSFactoryPlugin
      extends BaseGDSFactoryPlugin

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PURE_JAVA_TYPE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WireGDSFactoryPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FbWireDatabaseFactory` | `getDatabaseFactory()` |
    `java.lang.String` | `getDefaultProtocol()` |
    `java.lang.String` | `getPluginName()` |
    `java.lang.String[]` | `getSupportedProtocols()` |
    `java.lang.String[]` | `getTypeAliases()` |
    `java.lang.String` | `getTypeName()` |

    - ### Methods inherited from class org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

      `equals, getConnectionClass, getDatabasePath, getDatabasePath, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.impl.GDSFactoryPlugin

      `getDatabasePath`

- - ### Field Detail

    - #### PURE_JAVA_TYPE_NAME

          public static final java.lang.String PURE_JAVA_TYPE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WireGDSFactoryPlugin

          public WireGDSFactoryPlugin()

  - ### Method Detail

    - #### getPluginName

          public java.lang.String getPluginName()

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getTypeAliases

          public java.lang.String[] getTypeAliases()

    - #### getSupportedProtocols

          public java.lang.String[] getSupportedProtocols()

    - #### getDefaultProtocol

          public java.lang.String getDefaultProtocol()

      Specified by:
        `getDefaultProtocol` in interface `GDSFactoryPlugin`
      Overrides:
        `getDefaultProtocol` in class `BaseGDSFactoryPlugin`

    - #### getDatabaseFactory

          public FbWireDatabaseFactory getDatabaseFactory()